package com.fs.his.service;

import java.util.List;
import com.fs.his.domain.FsUserNewTask;

/**
 * 用户新手任务Service接口
 *
 * @author fs
 * @date 2024-08-27
 */
public interface IFsUserNewTaskService
{
    /**
     * 查询用户新手任务
     *
     * @param taskId 用户新手任务主键
     * @return 用户新手任务
     */
    public FsUserNewTask selectFsUserNewTaskByTaskId(Long taskId);

    /**
     * 查询用户新手任务列表
     *
     * @param fsUserNewTask 用户新手任务
     * @return 用户新手任务集合
     */
    public List<FsUserNewTask> selectFsUserNewTaskList(FsUserNewTask fsUserNewTask);

    /**
     * 新增用户新手任务
     *
     * @param fsUserNewTask 用户新手任务
     * @return 结果
     */
    public int insertFsUserNewTask(FsUserNewTask fsUserNewTask);

    /**
     * 修改用户新手任务
     *
     * @param fsUserNewTask 用户新手任务
     * @return 结果
     */
    public int updateFsUserNewTask(FsUserNewTask fsUserNewTask);

    /**
     * 批量删除用户新手任务
     *
     * @param taskIds 需要删除的用户新手任务主键集合
     * @return 结果
     */
    public int deleteFsUserNewTaskByTaskIds(Long[] taskIds);

    /**
     * 删除用户新手任务信息
     *
     * @param taskId 用户新手任务主键
     * @return 结果
     */
    public int deleteFsUserNewTaskByTaskId(Long taskId);

    FsUserNewTask selectFsUserNewTaskByUserId(Long userId);

    int performTaskOne(Long userId);

    void performTaskTwo(Long userId);

    void performTaskThree(Long userId,Long integral,Long orderId);
}
